live-chat
POST /v1/chat/conversations/{conversationId}/close
Close a conversation.
Autenticazione
Invia una chiave API come token di tipo bearer. La chiave deve disporre dell'autorizzazione livechat.reply; una chiave sprovvista di tale autorizzazione viene rifiutata con 403 anziché 404.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X POST https://api.zinndigital.com/v1/chat/conversations/{conversationId}/close \
-H "Authorization: Bearer zdk_live_…"Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Dettagli
Requires `livechat.reply`. Idempotent. A visitor who writes again reopens it rather than being told the conversation is over.
Parametri
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
conversationId (path) | string | Sì | — |
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
id | string | Sì | — |
widget_id | string | Sì | — |
state | string<ai, waiting, open, offline, closed> | Sì | — |
visitor_name | string | Sì | — |
visitor_email | string | Sì | — |
page_url | string | Sì | — |
page_title | string | Sì | — |
referrer | string | Sì | — |
country | string | Sì | Two-letter country, resolved at our edge from the connection. The visitor's IP address itself is never stored. |
locale | string | Sì | — |
assigned_operator | string | Sì | — |
cursor | integer | Sì | — |
started_at | string | Sì | — |
last_message_at | string | Sì | — |
Errori che questo endpoint può restituire
401 · 403 · 404